<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'report_security', language 'et', branch 'MOODLE_35_STABLE'
 *
 * @package   report_security
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['check_configrw_details'] = '<p>Pärast faili config.php installimist on soovitatav muuta selle kasutusõigusi, et veebiserver ei saaks seda faili muuta.
Võtke arvesse, et see meede ei paranda märkimisväärselt serveri turvalisust, kuid võib pidurdada või piirata üldisi turbeohte.</p>';
$string['check_configrw_name'] = 'Kirjutatav config.php';
$string['check_configrw_ok'] = 'PHP-skriptid ei saa faili config.php muuta.';
$string['check_configrw_warning'] = 'PHP-skriptid saavad faili config.php muuta.';
$string['check_cookiehttponly_details'] = '<p>Soovitatav on lubada küpsistele lipp Ainult HTTP (HttpOnly), et kliendipoolsed skriptid ei pääseks juurde serveri määratud küpsistele; see aitab vähendada XSS-i rünnakute ohtu.</p><p>Lippu Ainult HTTP toetavad kõik tänapäevased brauserid, kuid arvestage sellega, et vanemad brauserid ei pruugi seda lippu toetada ning pole seetõttu nii turvalised.</p>';
$string['check_cookiehttponly_error'] = 'Lubage Ainult HTTP küpsised.';
$string['check_cookiehttponly_name'] = 'Ainult HTTP küpsised';
$string['check_cookiehttponly_ok'] = 'Lubatud on Ainult HTTP küpsised.';
$string['check_cookiesecure_details'] = '<p>Kui lubate HTTPS-suhtluse, siis on soovitatav lubada ka turvalised küpsisefailid. Samuti peaksite lisama püsiva ümbersuunamise HTTP-lt HTTPS-ile. Ideaaljuhul kasutage ka HSTS-päiseid.</p>';
$string['check_cookiesecure_error'] = 'Lubage turvalised küpsised';
$string['check_cookiesecure_name'] = 'Turvalised küpsised';
$string['check_cookiesecure_ok'] = 'Turvalised küpsised on lubatud.';
$string['check_defaultuserrole_details'] = '<p>Kõigile sisselogitud kasutajatele antakse kasutaja vaikerolli tegevusload. Veenduge, et sellele rollile poleks määratud riskantseid tegevuslube.</p>
<p>Kasutaja vaikerolli ainuke toetatud pärandtüüp on <em>Autenditud kasutaja</em>. Kursuse vaatamise tegevusluba ei tohi anda.</p>';
$string['check_defaultuserrole_error'] = 'Kasutaja vaikeroll „{$a}“ on valesti määratletud!';
$string['check_defaultuserrole_name'] = 'Kõigi kasutajate vaikeroll';
$string['check_defaultuserrole_notset'] = 'Vaikerolli pole määratud.';
$string['check_defaultuserrole_ok'] = 'Kõigi kasutajate vaikerolli määratlus on sobiv.';
$string['check_displayerrors_details'] = '<p>PHP sätte <code>display_errors</code> töösaitidel lubamine pole soovitatav, sest tõrketeated võivad avaldada delikaatset teavet teie serveri kohta.</p>';
$string['check_displayerrors_error'] = 'PHP tõrgete kuvamise säte on lubatud. Soovitatavalt peaks see olema keelatud.';
$string['check_displayerrors_name'] = 'PHP tõrgete kuvamine';
$string['check_displayerrors_ok'] = 'PHP tõrgete kuvamine on keelatud.';
$string['check_emailchangeconfirmation_details'] = '<p>On soovitatav nõuda kasutajatelt meiliaadressi kinnitust, kui nad muudavad oma profiilis meiliaadressi. Kui see on keelatud, võivad rämpspostisaatjad proovida serverit rämpsposti saatmiseks ära kasutada.</p>
<p>Autentimislisandmoodulites võib meiliaadressiväli olla ka lukustatud, seda võimalust pole siin arvesse võetud.</p>';
$string['check_emailchangeconfirmation_error'] = 'Kasutajad võivad sisestada mis tahes meiliaadressi.';
$string['check_emailchangeconfirmation_info'] = 'Kasutajad võivad sisestada ainult lubatud domeenide meiliaadresse.';
$string['check_emailchangeconfirmation_name'] = 'Meiliaadressi muutmise kinnitus';
$string['check_emailchangeconfirmation_ok'] = 'Kasutaja profiilis meiliaadressi muutmise kinnitus.';
$string['check_embed_details'] = '<p>Piiramatu objektide manustamine on väga ohtlik – iga registreeritud kasutaja võib teiste serverikasutajate vastu käivitada XSS-ründe. Tööserverites peaks see säte olema keelatud.</p>';
$string['check_embed_error'] = 'Piiramatu objektide manustamine on lubatud – see on enamikule serveritele väga ohtlik.';
$string['check_embed_name'] = 'Siltide EMBED ja OBJECT lubamine';
$string['check_embed_ok'] = 'Piiramatu objektide manustamine pole lubatud.';
$string['check_frontpagerole_details'] = '<p>Esilehetegevuste jaoks antakse kõigile registreeritud kasutajatele esilehe vaikeroll. Veenduge, et sellele rollile poleks määratud riskantseid tegevuslube.</p>
<p>Soovitatav on selleks otstarbeks mitte kasutada pärandtüübi rolli, vaid luua eriroll.</p>';
$string['check_frontpagerole_error'] = 'Tuvastatud on valesti määratletud esileheroll „{$a}“!';
$string['check_frontpagerole_name'] = 'Esileheroll';
$string['check_frontpagerole_notset'] = 'Esileherolli pole määratud.';
$string['check_frontpagerole_ok'] = 'Esileherolli määratlus on sobiv.';
$string['check_google_details'] = '<p>Säte „Avatud Google\'ile“ võimaldab otsimootoritel siseneda kursustele külalispääsu kaudu. Kui külalisena sisselogimine pole lubatud, ei ole ka selle sätte lubamisel mõtet.</p>';
$string['check_google_error'] = 'Otsimootorite juurdepääs on lubatud, aga külalispääs on keelatud.';
$string['check_google_info'] = 'Otsimootorid saavad siseneda külalistena.';
$string['check_google_name'] = 'Ava Google’is';
$string['check_google_ok'] = 'Otsimootorite juurdepääs pole lubatud.';
$string['check_guest_details'] = '<p>See on soovitatav vältimaks sisselogimist ilma kasutajakontota. Kaaluge sätte Külalisena sisselogimise nupp keelamist.</p>';
$string['check_guest_name'] = 'Külalise juurdepääs';
$string['check_guest_ok'] = 'Kasutajad peavad sisse logima oma kontoga.';
$string['check_guestrole_details'] = '<p>Külalisrolli kasutatakse külaliste jaoks, mitte sisselogitud kasutajate ega ajutiste külaliste kursusele juurdepääsu jaoks. Veenduge, et sellele rollile poleks määratud riskantseid tegevuslube.</p>
<p>Külalisrolli ainuke toetatud pärandtüüp on <em>Külaliskasutaja</em>.</p>';
$string['check_guestrole_error'] = 'Külalisroll „{$a}“ on valesti määratletud!';
$string['check_guestrole_name'] = 'Külalisroll';
$string['check_guestrole_notset'] = 'Külalisrolli pole määratud';
$string['check_guestrole_ok'] = 'Külalisrolli määratlus on sobiv.';
$string['check_guest_warning'] = 'Külalisena saavad kasutajad juurdepääsu serverile ilma paroolita.';
$string['check_https_details'] = '<p>HTTP-protokolli on kerge rünnata, mistõttu on tungivalt soovitatav kasutada kõikide toimivate serverite jaoks HTTPS-protokolli.</p>';
$string['check_https_name'] = 'HTTPS-protokoll';
$string['check_https_ok'] = 'HTTPS-protokoll on kasutusel.';
$string['check_https_warning'] = 'HTTPS-protokolli ei ole kasutusel.';
$string['check_mediafilterswf_name'] = 'SWF-meediumifailide filter on lubatud';
$string['check_mediafilterswf_ok'] = 'Flash-meediumifailide filter pole lubatud.';
$string['check_mediafilterswf_trusteddetails'] = '<p>Automaatne SWF-i manustamine võib olla ohtlik, kui kasutajad ei ole usaldusväärsed. Vaadake turbearuandest üle XSS-i usaldusväärsed kasutajad. Kui Flash-animatsiooni ei kasutata, keelake see aktiivsetel veebilehtedel.</p>';
$string['check_mediafilterswf_warning'] = 'Flash-meedia filter on lubatud usaldusväärsete kasutajate jaoks. See suurendab XSS-i riski.';
$string['check_noauth_details'] = '<p>Lisandmoodul <em>Autentimiseta</em> pole ette nähtud töösaitidele. Kui see pole arenduseks ette nähtud katsesait, siis keelake see.</p>';
$string['check_noauth_error'] = 'Lisandmoodulit „Autentimiseta“ ei saa kasutada töösaitidel.';
$string['check_noauth_name'] = 'Ilma autentimiseta';
$string['check_noauth_ok'] = 'Lisandmoodul „Autentimiseta“ on keelatud.';
$string['check_nodemodules_details'] = '<p>Kataloog <em>{$a->path}</em> sisaldab Node.js-i mooduleid ja nende sõltuvusi, mida tavaliselt installib NPM-utiliit. Need moodulid võivad olla vajalikud Totara arendamiseks. Neid ei ole vaja Totara saidi käitamiseks ja need võivad sisaldada potentsiaalselt ohtlikku koodi, mis avab saidi kaugrünnakutele.</p><p>On tungivalt soovitatav see kataloog eemaldada, kui see on avaliku URL-i kaudu saadaval, või vähemalt keelata sellele juurdepääs veebi kaudu.</p>';
$string['check_nodemodules_info'] = 'Kataloog node_modules ei tohiks olla nähtav avalikel saitidel.';
$string['check_nodemodules_name'] = 'Node.js-i moodulite kataloog';
$string['check_openprofiles_details'] = 'Avatud kasutajaprofiile võivad kuritarvitada rämpspostisaatjad. Soovitatav on lubada kas <code>Sundsisselogimine profiili vaatamiseks</code> või <code>Kasutajate sundsisselogimine</code>.';
$string['check_openprofiles_error'] = 'Kõik saavad vaadata kasutajaprofiile ilma sisse logimata.';
$string['check_openprofiles_name'] = 'Avatud kasutajaprofiilid';
$string['check_openprofiles_ok'] = 'Kasutajaprofiilide vaatamiseks on vaja sisse logida.';
$string['check_passwordpolicy_details'] = '<p>Kuna parooli äraarvamine on sageli lihtsaim viis volituseta juurdepääsu saamiseks, on soovitatav määrata paroolipõhimõtted.
Kuid ärge muutke nõudeid ka liiga karmiks, sest muidu võib juhtuda, et kasutajad pole enam võimelised oma paroole meeles pidama ja hakkavad neid unustama või kusagile üles kirjutama.</p>';
$string['check_passwordpolicy_error'] = 'Paroolipõhimõtted on määramata.';
$string['check_passwordpolicy_name'] = 'Paroolipõhimõtted';
$string['check_passwordpolicy_ok'] = 'Paroolipõhimõtted on lubatud.';
$string['check_preventexecpath_details'] = '<p>Täitmisteede haldus-GUI kaudu määramise lubamine on õiguste laiendamise vektor.</p>';
$string['check_preventexecpath_name'] = 'Täitmisteed';
$string['check_preventexecpath_ok'] = 'Täitmisteed saab määrata ainult failis config.php.';
$string['check_preventexecpath_warning'] = 'Täitmisteid saab määrata haldus-GUI-s.';
$string['check_repositoryurl_details'] = '<p>URL-allalaadija lubamine võib anda väliskasutajatele juurdepääsu teie sisevõrgu URL-idele. Seda funktsiooni ei tohiks lubada, kui teil on kasutajaid, kellele on lubatud juurdepääs õppehaldussüsteemile (LMS – Learning Management System), kuid kellele pole lubatud juurdepääs teie sisevõrgu teistele ressurssidele, mis on õppehaldussüsteemi serverist ligipääsetavad.</p>';
$string['check_repositoryurl_name'] = 'URL-allalaadija hoidla';
$string['check_repositoryurl_ok'] = 'URL-allalaadija hoidla on keelatud.';
$string['check_repositoryurl_warning'] = 'URL-allalaadija hoidla on lubatud.';
$string['check_riskadmin_detailsok'] = '<p>Kinnitage järgmine süsteemiadministraatorite loend:</p>{$a}';
$string['check_riskadmin_name'] = 'Administraatorid';
$string['check_riskadmin_ok'] = 'Leitud serveriadministraatoreid: {$a}.';
$string['check_riskbackup_details_overriddenroles'] = '<p>Need aktiivsed ülekirjutused annavad kasutajatele võimaluse kaasata varukoopiasse kasutajaandmed. Veenduge selle õiguse vajalikkuses.</p> {$a}';
$string['check_riskbackup_details_systemroles'] = '<p>Järgmised süsteemirollid võimaldavad praegu kasutajatel kaasata varukoopiasse kasutajaandmed. Veenduge selle õiguse vajalikkuses.</p> {$a}';
$string['check_riskbackup_details_users'] = '<p>Ülal loetletud rollide või kohalike ülekirjutuste tõttu on järgmistel kasutajakontodel praegu õigus teha varukoopiaid, mis sisaldavad kõigi nende kursusele registreerunud kasutajate privaatseid andmeid. Veenduge, et need oleksid a) usaldusväärsed ja b) keeruka parooliga kaitstud:</p> {$a}';
$string['check_riskbackup_editoverride'] = '<a href="{$a->url}">{$a->name} kontekstis {$a->contextname}</a>';
$string['check_riskbackup_editrole'] = '<a href="{$a->url}">{$a->name}</a>';
$string['check_riskbackup_name'] = 'Kasutajaandmete varundus';
$string['check_riskbackup_unassign'] = '<a href="{$a->url}">{$a->fullname} ({$a->email}) kontekstis {$a->contextname}</a>';
$string['check_riskbackup_warning'] = 'Leitud on {$a->rolecount} rolli, {$a->overridecount} ülekirjutust ja {$a->usercount} kasutajat, kes saavad varundada kasutajaandmeid.';
$string['check_riskxss_details'] = '<p>RISK_XSS märgib kõiki riskantseid tegevuslube, mida tohivad kasutada ainult usaldusväärsed kasutajad.</p>
<p>Kontrollige järgmist kasutajate loendit ja veenduge, et usaldate neid selles serveris täielikult:</p><p>{$a}</p>';
$string['check_riskxss_name'] = 'XSS-i usaldusväärsed kasutajad';
$string['check_riskxss_warning'] = 'RISK_XSS – leitud on {$a} kasutajat, keda tuleb usaldada.';
$string['check_unsecuredataroot_details'] = '<p>Veebi kaudu ei tohi andmete juurkataloogile juurde pääseda. Parim viis tõkestada juurdepääs kataloogile on kasutada kataloogi, mis ei asu avalikus veebikataloogis.</p>
<p>Kataloogi teisaldamisel peate vastavalt värskendama failis <code>config.php</code> olevat sätet <code>$CFG->dataroot</code>.</p>';
$string['check_unsecuredataroot_error'] = 'Teie andmete juurkataloog <code>{$a}</code> on vales asukohas ja veebis kättesaadav!';
$string['check_unsecuredataroot_name'] = 'Ebaturvaline andmete juurkataloog';
$string['check_unsecuredataroot_ok'] = 'Veebi kaudu ei tohi andmete juurkataloogile juurde pääseda.';
$string['check_unsecuredataroot_warning'] = 'Teie andmete juurkataloog <code>{$a}</code> on vales asukohas ja võib olla veebis kättesaadav.';
$string['check_usernameenumeration_details'] = '<p>Kui kasutaja mandaadid on valed, siis on Totara sellest teada andes ebamäärane, täpsustamata kasutajale, kas vale on parool või kasutajanimi. See tähendab, et ründajad peavad arvama nii kasutajanime kui ka parooli.</p>
<p>Kui iseregistreerimine on sisse lülitatud, võivad ründajad kasutada registreerimisvormi, et proovida mitut kasutajanime ja leida, missugused neist kehtivad. Kui kehtiv kasutajanimi on tuvastatud, peavad nad ainult parooli ära arvama.<br />Selle vältimiseks lülitage iseregistreerimine välja.</p>
<p>Kui kasutajanimede kaitse on välja lülitatud, saavad ründajad kasutada unustatud parooli vormi, et proovida kasutajanimesid ja tuvastada neist kehtivaid. Kui kehtiv kasutajanimi on tuvastatud, peavad nad ainult parooli ära arvama.<br />Selle vältimiseks lülitage kasutajanimede kaitse sisse.</p>';
$string['check_usernameenumeration_name'] = 'Kasutajanimede proovimine';
$string['check_usernameenumeration_ok'] = 'Kasutajanimede kaitse on sisse lülitatud ja iseregistreerimine pole lubatud';
$string['check_usernameenumeration_warning'] = 'Kui iseregistreerimine on lubatud või kasutajanimede kaitse on välja lülitatud, saavad autentimata kasutajad arvata olemasolevaid kasutajanimesid';
$string['check_vendordir_details'] = '<p>Muu poole ressursside kataloog <em>{$a->path}</em> sisaldab mitmesuguseid muu poole teeke ja nende sõltuvusi, mida tavaliselt installib PHP koostaja. See võib osutuda vajalikuks kohaliku arenduse jaoks, näiteks PHPUniti raamistiku installimiseks. Kuid see võib sisaldada ka potentsiaalselt ohtlikku koodi, mis avab saidi kaugrünnakutele.</p><p>On tungivalt soovitatav see kataloog eemaldada, kui see on avaliku URL-i kaudu saadaval, või vähemalt keelata sellele juurdepääs veebi kaudu.</p>';
$string['check_vendordir_info'] = 'Muu poole ressursside kataloog ei tohiks olla nähtav avalikel saitidel.';
$string['check_vendordir_name'] = 'Muu poole ressursside kataloog';
$string['check_webcron_details'] = '<p>Kui käivitate cron-käsu veebibrauseris, võib privileegteave saada teatavaks anonüümsetele kasutajatele. Soovitatav on käitada croni ainult käsurealt või määrata kaugpöörduse jaoks croni parool.</p>';
$string['check_webcron_name'] = 'Veebicron';
$string['check_webcron_ok'] = 'Anonüümsed kasutajad ei saa cronile juurde pääseda.';
$string['check_webcron_warning'] = 'Anonüümsed kasutajad saavad cronile juurde pääseda.';
$string['check_xxe_risk_critical'] = 'Välised üksused laaditakse XML-i vaikimisi.';
$string['check_xxe_risk_details'] = 'On võimalik, et mõni LibXML-i ja PHP versioon on juba välised üksused vaikimisi XML-i laadinud, mis tähendab, et pahatahtlik kasutaja saab omandada kohalike failide sisu. Ohu vältimiseks kontrollige, et kasutaksite LibXML-i ja PHP uusimaid versioone.';
$string['check_xxe_risk_name'] = 'XXE oht';
$string['check_xxe_risk_ok'] = 'Väliseid üksusi ei laadita vaikimisi XML-i.';
$string['configuration'] = 'Konfiguratsioon';
$string['description'] = 'Kirjeldus';
$string['details'] = 'Üksikasjad';
$string['issue'] = 'Probleem';
$string['pluginname'] = 'Turbeülevaade';
$string['security:view'] = 'Turbearuande vaatamine';
$string['status'] = 'Olek';
$string['statuscritical'] = 'Kriitiline';
$string['statusinfo'] = 'Teave';
$string['statusok'] = 'OK';
$string['statusserious'] = 'Tõsine';
$string['statuswarning'] = 'Hoiatus.';
$string['timewarning'] = 'Andmete töötlemine võib võtta kaua aega. Palume olla kannatlik...';
